### Method

# Qmi MessageNasGetNetworkTimeOutput get_3gpp2_time

since: 1.36

#### Declaration [src]

    gboolean
    qmi_message_nas_get_network_time_output_get_3gpp2_time (
      QmiMessageNasGetNetworkTimeOutput* self,
      guint16* value_3gpp2_time_universal_time_year,
      guint8* value_3gpp2_time_universal_time_month,
      guint8* value_3gpp2_time_universal_time_day,
      guint8* value_3gpp2_time_universal_time_hour,
      guint8* value_3gpp2_time_universal_time_minute,
      guint8* value_3gpp2_time_universal_time_second,
      QmiNasDayOfWeek* value_3gpp2_time_universal_time_day_of_week,
      gint8* value_3gpp2_time_timezone_offset,
      QmiNasDaylightSavingsAdjustment* value_3gpp2_time_daylight_savings_adjustment,
      QmiNasRadioInterface* value_3gpp2_time_radio_interface,
      GError** error
    )

#### Description [src]

Get the ‘3GPP2 Time’ field from `self`.

Available since: 1.36

#### Parameters

`value_3gpp2_time_universal_time_year`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_3gpp2_time_universal_time_month`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_3gpp2_time_universal_time_day`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_3gpp2_time_universal_time_hour`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_3gpp2_time_universal_time_minute`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_3gpp2_time_universal_time_second`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_3gpp2_time_universal_time_day_of_week`

  Type: `QmiNasDayOfWeek`

  A placeholder for the output `QmiNasDayOfWeek`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_3gpp2_time_timezone_offset`

  Type: `gint8*`

  A placeholder for the output #gint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_3gpp2_time_daylight_savings_adjustment`

  Type: `QmiNasDaylightSavingsAdjustment`

  A placeholder for the output `QmiNasDaylightSavingsAdjustment`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_3gpp2_time_radio_interface`

  Type: `QmiNasRadioInterface`

  A placeholder for the output `QmiNasRadioInterface`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.